diff --git a/tests/form_pages/test_all.py b/tests/form_pages/test_all.py
index be338691..0e87413d 100644
--- a/tests/form_pages/test_all.py
+++ b/tests/form_pages/test_all.py
@@ -6680,106 +5539,6 @@ def test_logged_errors(pub):
     assert len(LoggedError.get_ids_with_indexed_value('workflow_id', 'X')) == 0
 
 
-def test_formdata_named_wscall(http_requests, pub):
-    create_user(pub)
-    NamedWsCall.wipe()
-
-    wscall = NamedWsCall()
-    wscall.name = 'Hello world'
-    wscall.request = {'url': 'http://remote.example.net/json'}
-    wscall.store()
-    assert wscall.slug == 'hello_world'
-
-    wf = Workflow(name='status')
-    st1 = wf.add_status('Status1', 'st1')
-    comment = RegisterCommenterWorkflowStatusItem()
-    comment.id = '_comment'
-    comment.comment = 'Hello [webservice.hello_world.foo] World'
-    st1.items.append(comment)
-    comment.parent = st1
-
-    display = DisplayMessageWorkflowStatusItem()
-    display.message = 'The form has been recorded and: X[webservice.hello_world.foo]Y'
-    display.to = []
-    st1.items.append(display)
-    display.parent = st1
-
-    wf.store()
-
-    formdef = create_formdef()
-    formdef.workflow_id = wf.id
-    formdef.fields = []
-    formdef.store()
-    formdef.data_class().wipe()
-
-    resp = login(get_app(pub), username='foo', password='foo').get('/test/')
-    resp = resp.forms[0].submit('submit')
-    assert 'Check values then click submit.' in resp.text
-    resp = resp.forms[0].submit('submit')
-    assert resp.status_int == 302
-    resp = resp.follow()
-    assert 'The form has been recorded and: XbarY' in resp.text
-
-    formdata = formdef.data_class().select()[0]
-    assert formdata.evolution[0].parts[0].content == 'Hello bar World'
-
-    # check with publisher variable in named webservice call
-    if not pub.site_options.has_section('variables'):
-        pub.site_options.add_section('variables')
-    pub.site_options.set('variables', 'example_url', 'http://remote.example.net/')
-    with open(os.path.join(pub.app_dir, 'site-options.cfg'), 'w') as fd:
-        pub.site_options.write(fd)
-
-    wscall = NamedWsCall()
-    wscall.name = 'Hello world'
-    wscall.request = {'url': '[example_url]json'}
-    wscall.store()
-
-    formdef.data_class().wipe()
-
-    resp = login(get_app(pub), username='foo', password='foo').get('/test/')
-    resp = resp.forms[0].submit('submit')
-    assert 'Check values then click submit.' in resp.text
-    resp = resp.forms[0].submit('submit')
-    assert resp.status_int == 302
-    resp = resp.follow()
-    assert 'The form has been recorded and: XbarY' in resp.text
-
-    formdata = formdef.data_class().select()[0]
-    assert formdata.evolution[0].parts[0].content == 'Hello bar World'
-
-
-def test_formdata_named_wscall_in_conditions(http_requests, pub):
-    create_user(pub)
-    NamedWsCall.wipe()
-
-    wscall = NamedWsCall()
-    wscall.name = 'Hello world'
-    wscall.request = {'url': 'http://remote.example.net/json', 'method': 'GET'}
-    wscall.store()
-    assert wscall.slug == 'hello_world'
-
-    formdef = create_formdef()
-    formdef.fields = [
-        fields.PageField(id='0', label='1st page', type='page'),
-        fields.PageField(id='1', label='2nd page', type='page',
-            condition={'type': 'python', 'value': 'webservice.hello_world["foo"] == "bar"'}),
-        fields.PageField(id='1', label='3rd page', type='page',
-            condition={'type': 'python', 'value': 'webservice.hello_world["foo"] != "bar"'}),
-        fields.PageField(id='1', label='4th page', type='page',
-            condition={'type': 'python', 'value': 'webservice.hello_world["foo"] == "bar"'}),
-    ]
-    formdef.store()
-    formdef.data_class().wipe()
-
-    resp = login(get_app(pub), username='foo', password='foo').get('/test/')
-    assert '>1st page<' in resp.text
-    assert '>2nd page<' in resp.text
-    assert '>3rd page<' not in resp.text
-    assert '>4th page<' in resp.text
-    assert len(http_requests.requests) == 1
-
-
 def test_resubmit(pub):
     user = create_user(pub)
 
diff --git a/tests/form_pages/test_block.py b/tests/form_pages/test_block.py
index 0b03a1d0..e9de3ed0 100644
--- a/tests/form_pages/test_block.py
+++ b/tests/form_pages/test_block.py
@@ -3,7 +3,6 @@
 import pytest
 from webtest import Upload
 
-from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.blocks import BlockDef
 from wcs.formdef import FormDef
 from wcs.workflows import Workflow
@@ -13,6 +12,7 @@ from wcs.data_sources import NamedDataSource
 from wcs import fields
 
 from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
+from .test_all import create_user
 
 
 def pytest_generate_tests(metafunc):
@@ -42,21 +42,6 @@ def teardown_module(module):
     clean_temporary_pub()
 
 
-def create_user(pub):
-    pub.user_class.wipe()
-    PasswordAccount.wipe()
-
-    user = pub.user_class()
-    user.name = 'User Name'
-    user.email = 'foo@localhost'
-    user.store()
-    account = PasswordAccount(id='foo')
-    account.set_password('foo')
-    account.user_id = user.id
-    account.store()
-    return user
-
-
 def test_block_simple(pub, blocks_feature):
     FormDef.wipe()
     BlockDef.wipe()
